Subject: Re: bug#30644: Cuirass runs out of build users

From: [email-masked] (Ludovic Courtès)
Date: Wed, 07 Mar 2018 23:35:44 +0100

Andreas Enge <[email-masked]> skribis:

> Right now, I do not seem to be running out of build users, but I think
> that cuirass nevertheless behaves strangely; so I am asking here instead
> of opening a new bug (maybe there is no bug, actually).

Good.  :-)

> There is still one occurrence of this:
> In ice-9/boot-9.scm:
>     829:9  7 (catch _ _ #<procedure 7f49ffb6c9e0 at cuirass/base.sc?> ?)
> In cuirass/base.scm:
>    616:26  6 (_)
>     548:2  5 (build-packages _ #<<sqlite-db> pointer: #<pointer 0x4?> ?)
>    426:10  4 (spawn-builds #<build-daemon 256.97 42d2320> #<<sqlite?> ?)
> In srfi/srfi-1.scm:
>     640:9  3 (for-each #<procedure update! (drv)> _)
> In cuirass/database.scm:
>     69:18  2 (%sqlite-exec _ _ . _)
> In ice-9/eval.scm:
>    293:34  1 (_ #(#(#<directory (sqlite3) 1b91820> #<<sqlite-stm?> ?)))
>     619:8  0 (_ #(#(#(#(#<directory (sqlite3) 1b91820> #<?>) #) 5) 5))
> ice-9/eval.scm:619:8: Throw to key `sqlite-error' with args `(#f 5 "database is locked")'.

Bah.  :-/

> There is this, which looks like a problem, but not a fatal one:
> ;;; Failed to autoload make-session in (gnutls):
> ;;; missing interface for module (gnutls)
> ;;; Failed to autoload connection-end/client in (gnutls):
> ;;; missing interface for module (gnutls)

That happens during the evaluation, probably when compiling (guix build
download).  Nothing to worry about.

> 2018-03-05T12:41:34 building batch of 200 jobs (0/14675)
> 2018-03-05T12:41:34 build failed: '/gnu/store/0cfs95nasmfgs5nhylm1fcrfwpwh81pc-gcompris-qt-0.70.drv'
> 2018-03-05T12:41:34 build failed: '/gnu/store/065zrkz0zmfwiwajrb9nanzwvdhmyrrd-python2-stem-1.6.0.drv'
> 2018-03-05T12:41:35 build failed: '/gnu/store/3qy3s1dy3nnb108ifz9yiscs687g0xkh-gfortran-5.5.0.drv'
> 2018-03-05T12:41:35 build failed: '/gnu/store/1zdxbjmcw1qnmzh2qcbafsrbr8i2j1x3-glib-2.54.2.drv'
> 2018-03-05T12:41:36 build failed: '/gnu/store/b7jfj61snk90pkg7dlhyd7jjqbpi2rni-htslib-1.6.drv'
> 2018-03-05T12:41:37 build failed: '/gnu/store/9jjifxnxbv7z54qlcik3j8gcdj6ndd3k-python2-astroid-1.5.3.drv'
> 2018-03-05T12:41:38 build failed: '/gnu/store/i2zmgbsi599pxskqh15s38fpms359jp7-gcc-cross-sans-libc-arm-linux-gnueabihf-5.5.0.drv'
> 2018-03-05T12:41:38 build failed: '/gnu/store/qd59gqza3ly4rk2xjf40q2539rjgzh5r-gcc-cross-sans-libc-powerpc-linux-gnu-5.5.0.drv'
> 2018-03-05T12:41:38 build failed: '/gnu/store/3qy3s1dy3nnb108ifz9yiscs687g0xkh-gfortran-5.5.0.drv'
> 2018-03-05T12:41:38 build failed: '/gnu/store/z7f4imd95xw5w86pv59lnqgq2apgg0rc-ghc-hslua-0.9.5.drv'
> 2018-03-05T12:41:39 build failed: '/gnu/store/1zdxbjmcw1qnmzh2qcbafsrbr8i2j1x3-glib-2.54.2.drv'
> 2018-03-05T12:41:39 build failed: '/gnu/store/b7jfj61snk90pkg7dlhyd7jjqbpi2rni-htslib-1.6.drv'
> 2018-03-05T12:41:40 build failed: '/gnu/store/d545d4jzw0mfa61d9ml3vygchr93xp51-python-gevent-1.2.2.drv'
> 2018-03-05T12:41:40 build failed: '/gnu/store/agrdbmvswi81q54riyin4355zcpy9yrr-python2-reno-2.7.0.drv'
> 2018-03-05T12:41:41 build failed: '/gnu/store/9l7f6zfbm3ckziy9wqddwy0jl9r9xj1q-gcc-7.3.0.drv'
> 2018-03-05T12:41:42 build failed: '/gnu/store/3qy3s1dy3nnb108ifz9yiscs687g0xkh-gfortran-5.5.0.drv'
> 2018-03-05T12:41:42 build failed: '/gnu/store/z7f4imd95xw5w86pv59lnqgq2apgg0rc-ghc-hslua-0.9.5.drv'
> 2018-03-05T12:41:42 build failed: '/gnu/store/1zdxbjmcw1qnmzh2qcbafsrbr8i2j1x3-glib-2.54.2.drv'
> 2018-03-05T12:41:42 build failed: '/gnu/store/b7jfj61snk90pkg7dlhyd7jjqbpi2rni-htslib-1.6.drv'
> 2018-03-05T12:41:43 build failed: '/gnu/store/d545d4jzw0mfa61d9ml3vygchr93xp51-python-gevent-1.2.2.drv'
> 2018-03-05T12:41:43 build failed: '/gnu/store/1zdxbjmcw1qnmzh2qcbafsrbr8i2j1x3-glib-2.54.2.drv'
> 2018-03-05T12:41:43 build started: '/gnu/store/y0p2myl0al8x3rlbxphgyjk83zl3kmb5-idris-mode-0.9.19.tar.drv'
> 2018-03-05T12:41:44 build failed: '/gnu/store/014v4q1xykd2gl04ildgg3nf30dp51pw-gcc-5.5.0.drv'
> 2018-03-05T12:41:44 build failed: '/gnu/store/1zdxbjmcw1qnmzh2qcbafsrbr8i2j1x3-glib-2.54.2.drv'
> 2018-03-05T12:41:45 build failed: '/gnu/store/014v4q1xykd2gl04ildgg3nf30dp51pw-gcc-5.5.0.drv'
> 2018-03-05T12:41:45 build failed: '/gnu/store/1zdxbjmcw1qnmzh2qcbafsrbr8i2j1x3-glib-2.54.2.drv'
> 2018-03-05T12:41:45 build failed: '/gnu/store/014v4q1xykd2gl04ildgg3nf30dp51pw-gcc-5.5.0.drv'
> 2018-03-05T12:41:45 build failed: '/gnu/store/9l7f6zfbm3ckziy9wqddwy0jl9r9xj1q-gcc-7.3.0.drv'
> 2018-03-05T12:41:45 build failed: '/gnu/store/1zdxbjmcw1qnmzh2qcbafsrbr8i2j1x3-glib-2.54.2.drv'
> 2018-03-05T12:41:45 build failed: '/gnu/store/1zdxbjmcw1qnmzh2qcbafsrbr8i2j1x3-glib-2.54.2.drv'
> 2018-03-05T12:41:45 build failed: '/gnu/store/1zdxbjmcw1qnmzh2qcbafsrbr8i2j1x3-glib-2.54.2.drv'
> 2018-03-05T12:41:45 build failed: '/gnu/store/1zdxbjmcw1qnmzh2qcbafsrbr8i2j1x3-glib-2.54.2.drv'
> 2018-03-05T12:41:45 build failed: '/gnu/store/y0p2myl0al8x3rlbxphgyjk83zl3kmb5-idris-mode-0.9.19.tar.drv'

The fact that all of these failed more or less instantaneously probably
means that these were cached failures.  See ‘guix gc --list-failures’.

Why they failed in the first place, I don’t know.  Are these x86_64/i686
builds?  (You can see that in the .drv file.)  If not, no wonder that
they fail.

Thanks,
Ludo’.